## AwnLabel AwnLabel |

## Synopsis

                        AwnLabel;
    AwnLabel*           awn_label_new                       (void);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkMisc
                               +----GtkLabel
                                     +----AwnLabel

## Implemented Interfaces

AwnLabel implements AtkImplementorIface and GtkBuildable.

## Properties

      "font-mode"                gint                  : Read / Write
      "text-color"               DesktopAgnosticColor*  : Read / Write
      "text-outline-color"       DesktopAgnosticColor*  : Read / Write
      "text-outline-width"       gdouble               : Read / Write

## Description

## Details

### AwnLabel

    typedef struct _AwnLabel AwnLabel;

Widget derived from GtkLabel, which should be used to display text on the panel, as it provides various modes of drawing the text - with or without an outline, and is therefore easily readable on non-solid colored background.

### awn_label_new ()

    AwnLabel*           awn_label_new                       (void);

Creates new AwnLabel. Automatically applies user configured colors and style.

Returns : | An instance of AwnLabel.

## Property Details

### The `"font-mode"` property

      "font-mode"                gint                  : Read / Write

Font Mode.

Allowed values: [0,2]

Default value: 0

### The `"text-color"` property

      "text-color"               DesktopAgnosticColor*  : Read / Write

Text color.

### The `"text-outline-color"` property

      "text-outline-color"       DesktopAgnosticColor*  : Read / Write

Text outline color.

### The `"text-outline-width"` property

      "text-outline-width"       gdouble               : Read / Write

Text Outline Width.

Allowed values: [0,10]

Default value: 2.5